Subject: Re: What's cooking in git.git (Sep 2021, #01; Thu, 2)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 06 Sep 2021 12:02:26 +0200

On Mon, Sep 06 2021, Carlo Arenas wrote:

>> * fs/ssh-signing (2021-08-29) 9 commits
>>  - ssh signing: test that gpg fails for unknown keys
>>  - ssh signing: tests for logs, tags & push certs
>>  - ssh signing: duplicate t7510 tests for commits
>>  - ssh signing: verify signatures using ssh-keygen
>>  - ssh signing: provide a textual signing_key_id
>>  - ssh signing: retrieve a default key from ssh-agent
>>  - ssh signing: add ssh key format and signing code
>>  - ssh signing: add test prereqs
>>  - ssh signing: preliminary refactoring and clean-up
>>
>>  Use ssh public crypto for object and push-cert signing.
>>
>>  Will merge to 'next'.
>
> This is causing ssh-keygen from OpenSSH 8.7 to segfault,
> would it be reasonable to hold it until they get a chance to fix that?
>
> Carlo
>
> PS. provided them with a patch, and crash is reproducible with the tests

Per my <[email-masked]:
    
    I'm also interested in this one. My reading of
    <[email-masked]> is that the author
    plans to re-roll it sometimes around mid-September. I personally punted
    on reviewing the current version while waiting for that.

I see it's made it to 'next' already though...